Bug 71282 - utf-8 support in vi not enabled
utf-8 support in vi not enabled
Product: Red Hat Public Beta
Classification: Retired
Component: vim (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
David Lawrence
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-08-11 17:42 EDT by Daniel Resare
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-14 01:43:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Resare 2002-08-11 17:42:50 EDT
Description of Problem:

Since utf-8 is now the default LOCALE charset, it is important that basic system
components handle files encoded in this charset. Therefore I find it frustrating
that the default 'vi' implementation (in the vim-minimal package) comes without
utf-8 support, which gives very strange behaviour when editing utf-8 files in an
utf-8 terminal. Since the entered utf-8 sequences is multiple bytes as far as
the editor is concerned but entered as single characters on the keyboard and
displayed as single characters by the terminal app. (Characters jumping, moving
around in files gives unpredictable effects)

These problems go away if I install vim-enhanced and invoke vim instead of vi
(vim-enhanced has utf-8 support).

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. vi file
2. enter some non-ascii characters (on my swedish keyboard this is simple :)
3. exit insert mode with <esc>
4. move to the end of the line with the arrow keys, then to the beginning, then
redraw with C-p and watch the fun

Actual Results:
characters move, lines get calculated to be too long, characters disappears

Expected Results:
vi should understand that one char is one char wide

Additional Information:

Note You need to log in before you can comment on or make changes to this bug.